* {
  margin: 0;
  padding: 0;
}

:root {
  color-scheme: light dark;
}

body {
  overscroll-behavior-y: contain;
  overflow: hidden;
  background: light-dark(#ffffff, #000000)
}

body::backdrop {
  background: light-dark(#ffffff, #000000)
}

#canvas {
  width: 100svw;
  height: 100svh;
  margin: auto;
}

#toolbox {
  position: fixed;
  right: 1rem;
  bottom: 1rem;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  margin-bottom: 0.5em;
}

div {
  margin-bottom: 0.5em;
}

button,
select {
  padding: 0.2em 0.4em;
}

dialog {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  padding: 1rem 2rem;
}

dialog::backdrop {
  background: rgba(25, 25, 25, .50)
}